tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher Schultz <ch...@christopherschultz.net>
Subject Re: JasperException in Tomcat 5.0 and above but not in 4.1
Date Wed, 14 Nov 2007 17:25:58 GMT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Harald,

Harald Henkel wrote:
> I found some spec for jsp:param where it was explicity stated,
> that "value" can be an <%= %> expression, but "name" cannot ... for JSP
> 1.2 which was used by Tomcat 4.1.
> 
> So is Tomcat 5.x and above just more strict in checking this?

This seems likely. A lot of things became more strict in Tomcat 5.x...
lots of little details that were allowed but didn't follow the
specification were "fixed".

> Is there a way to tell Tomcat 5.x/6 to be "compatible" to Tomcat 4.1 (be
> less strict)?

My guess is that this is not possible. You might consider asking on the
Tomcat-dev mailing list if this would be a reasonable configurable
setting -- something like "strictServletSpecificationAdherence=false" or
something like that. My guess is that the request will be rejected,
though, since Tomcat is supposed to be the reference implementation for
the specification.

- -chris

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFHOy+m9CaO5/Lv0PARAmEKAKCVaGSgV/MNbuABnFCGA4p7MpAvTACgwtr/
1jta2/2ri/N9uxOnUwsxfPo=
=cVE8
-----END PGP SIGNATURE-----

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message